View Issue Details

IDProjectCategoryView StatusLast Update
0015624LazarusLCLpublic2010-05-17 17:05
ReporterRoland TurcanAssigned ToDmitry Boyarintsev 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.30 
Summary0015624: TListBox.Items.Exchange changes items, but visually you cannot see the change
DescriptionBecause there is no Drag&Drop support for TListBox, then I decided to exchange items this way, but then repainting of box doesn't work.

I attach the test application which reproduce the bug + my temporary work workaround.
TagsNo tags attached.
Fixed in Revision23715
LazTarget0.9.30
WidgetsetCarbon
Attached Files

Activities

2010-01-29 15:48

 

tlistbox_lcl_bug.zip (129,221 bytes)

Dmitry Boyarintsev

2010-02-16 11:50

developer   ~0034525

please test and close if ok

Roland Turcan

2010-05-17 17:05

reporter   ~0037684

thanks.

Issue History

Date Modified Username Field Change
2010-01-29 15:48 Roland Turcan New Issue
2010-01-29 15:48 Roland Turcan File Added: tlistbox_lcl_bug.zip
2010-01-29 15:48 Roland Turcan Widgetset => Carbon
2010-01-29 16:19 Dmitry Boyarintsev Status new => assigned
2010-01-29 16:19 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2010-02-16 11:50 Dmitry Boyarintsev Fixed in Revision => 23715
2010-02-16 11:50 Dmitry Boyarintsev LazTarget => 0.9.30
2010-02-16 11:50 Dmitry Boyarintsev Status assigned => resolved
2010-02-16 11:50 Dmitry Boyarintsev Fixed in Version => 0.9.30
2010-02-16 11:50 Dmitry Boyarintsev Resolution open => fixed
2010-02-16 11:50 Dmitry Boyarintsev Note Added: 0034525
2010-05-17 17:05 Roland Turcan Status resolved => closed
2010-05-17 17:05 Roland Turcan Note Added: 0037684